tt_pattern_print(library call)

NAME
tt_pattern_print — format a pattern

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_pattern_print(
Tt_pattern *p);

DESCRIPTION

The tt_pattern_print function formats a pattern in the same way a message is formatted for the ttsession(1) trace and returns a string containing it.

The p argument is the pattern to be formatted.

RETURN VALUE

Upon successful completion, the tt_pattern_print function returns the formatted string. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMEM
    There is insufficient memory available to perform the function.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

APPLICATION USAGE

The tt_pattern_print function allows an application writer to dump out patterns for debugging.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3).